petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscRealloc

Rellocates memory

### Synopsis

    #include <petscsys.h>
    PetscErrorCode PetscRealloc(size_t m,void **result)

Not Collective

### Input Parameters

| m | - number of bytes to allocate
| result | - previous memory

### Output Parameter

result -new memory allocated

### Notes

Memory is always allocated at least double aligned

### See Also

PetscMalloc(), PetscFree(), PetscNew()

### Level

developer

### Location

include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages